import request from '@/utils/request'

// 查询会员列表
export function listVip(query) {
  return request({
    url: '/ss/vip/list',
    method: 'get',
    params: query
  })
}

// 查询会员详细
export function getVip(id) {
  return request({
    url: '/ss/vip/' + id,
    method: 'get'
  })
}

// 新增会员
export function addVip(data) {
  return request({
    url: '/ss/vip',
    method: 'post',
    data: data
  })
}

// 修改会员
export function updateVip(data) {
  return request({
    url: '/ss/vip',
    method: 'put',
    data: data
  })
}

// 删除会员
export function delVip(id) {
  return request({
    url: '/ss/vip/' + id,
    method: 'delete'
  })
}
